"use strict";
// import zemi from "./core";
//
// export default zemi;
// export { default as ZemiOpenApiSpecGenerator } from "./openapi";
//
// export {
//   ZemiMethod,
//   ZemiOpenApiSpecGenerationOptions,
//   ZemiHandlerDefinition,
//   ZemiRequest,
//   ZemiRequestHandler,
//   ZemiResponse,
//   ZemiRoute,
//   ZemiRouteDefinition,
// } from "./types/core.types";
//
// export {
//   OpenApiReferenceObject,
//   OpenApiCallbackObject,
//   OpenApiSecurityRequirementObject,
//   OpenApiParameterObjectIn,
//   OpenApiPathItemObject,
//   OpenApiDiscriminatorObject,
//   OpenApiXmlObject,
//   OpenApiSchemaObject,
//   OpenApiHeaderObject,
//   OpenApiEncodingObject,
//   OpenApiMediaTypeObject,
//   OpenApiRequestBodyObject,
//   OpenApiParameterObject,
//   OpenApiLinkObject,
//   OpenApiResponseObject,
//   OpenApiServerVariableObject,
//   OpenApiServerObject,
//   OpenApiOAuthFlowObject,
//   OpenApiOAuthFlowsObject,
//   OpenApiSecuritySchemeObject,
//   OpenApiOperationObject,
//   OpenApiPathItemDefinitionObject,
//   OpenApiExampleObject,
//   OpenApiExternalDocumentationObject,
//   OpenApiInfoObject,
//   OpenApiTagsObject,
//   OpenApiDoc,
// } from "./types/openapi.types";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = __importDefault(require("express"));
const core_1 = __importDefault(require("./core"));
const core_types_1 = require("./types/core.types");
const { GET } = core_types_1.ZemiMethod;
const petsHandler = function (request, response) {
    const { routeDefinitions } = request;
    response.status(200).json({ routeDefinitions });
};
const dogsHandler = function (request, response) {
    const { routeDefinitions } = request;
    response.status(200).json({ routeDefinitions });
};
const catsHandler = function (request, response) {
    const { routeDefinitions } = request;
    response.status(200).json({ routeDefinitions });
};
const tigersHandler = function (request, response) {
    const routeDefs = request.routeDefinitions;
    response.status(200).json({ routeDefs });
};
const routes = [
    {
        name: "pets",
        path: "/pets",
        [GET]: { handler: petsHandler },
        routes: [
            {
                name: "dogs",
                path: "/dogs",
                [GET]: { handler: dogsHandler },
            },
            {
                name: "cats",
                path: "/cats",
                [GET]: { handler: catsHandler },
            },
            {
                name: "tigers",
                path: "/tigers",
                [GET]: { handler: tigersHandler },
            },
        ],
    },
];
const app = (0, express_1.default)();
app.use(express_1.default.json());
app.use("/", (0, core_1.default)(routes));
app.listen(8000, () => console.log(`----- SERVER START -----`));
//# sourceMappingURL=index.js.map